(function() {
	var date = new Date();
	var beginDate;
	var endDate;
	var years;
	var months;
	var user = android.getUser();
    var us = JSON.parse(user);
	var token = us.token;

	//获取总计信息
	function getTotalData(callback) {
		$.ajax({
			url: app_url + 'reportOverview/summary?token=' + token,
			type: 'get',
			dataType: 'json',
			success: function(data, status) {
				if(callback && typeof callback == 'function') {
					callback(data);
				}
			},
			fail: function(err, status) {
				console.log(err)
			}
		})
	}
	getTotalData(function(data) {
		$('#tradeCount').html(data.tradeCount);
		$('#totalPrice').html(data.totalPrice);
		$('#commission').html(data.commission);
	});

	init(); //初始化信息
	function init() {
		years = [];
		months = [];
		beginDate = date.getFullYear() + '-' + (date.getMonth() + 1) + '-1';
		endDate = date.getFullYear() + '-' + (date.getMonth() + 2) + '-1';
		if(date.getMonth() == 11) {
			var year = date.getFullYear() + 1;
			endDate = year + '-1-1';
		}
		for(var i = 0; i < 5; i++) {
			var obj = {};
			obj.name = (date.getFullYear() - i) + '年'
			obj.value = date.getFullYear() - i;
			years.push(obj);
			obj = null;
		}
		for(var i = 1; i <= 12; i++) {
			var obj = {};
			obj.name = i + '月'
			obj.value = i;
			months.push(obj);
			obj = null;
		}
		getMonthActiveCard(beginDate, endDate); //获取月开卡数据
		getMonthMeal(beginDate, endDate); //获取月套餐销量统计
		getMonthProfit(beginDate, endDate); //获取月套餐收益统计
	};

	//点击查询
	$('#js-query').on('click', function() {
		var year = parseInt($('#year').val());
		var year2;
		var month = parseInt($('#month').val());
		var month2 = month + 1;
//		var beginDate = year + '-' + month + '-01'; //开始时间
//		var endDate = year + '-' + month2 + '-01'; //结束时间
		if(month < 10) {
			var beginDate = year + '-0' + month + '-01'; //开始时间
		} else {
			var beginDate = year + '-' + month + '-01'; //开始时间
		}
		if(month2 < 10) {
			var endDate = year + '-0' + month2 + '-01'; //结束时间
		} else {
			var endDate = year + '-' + month2 + '-01'; //结束时间var endDate = year + '-0' + month2 + '-01'; //结束时间
		}
		if(month2 == 13) {
			month2 = 1;
			year2 = year + 1;
			endDate = year2 + '-' + month2 + '-1'; //重新计算结束时间
		}
		console.log(beginDate, endDate)
		getMonthActiveCard(beginDate, endDate); //获取月开卡数据
		getMonthMeal(beginDate, endDate); //获取月套餐销量统计
		getMonthProfit(beginDate, endDate); //获取月套餐收益统计
	});
	
	//默认选中当前月份
	var selectops = $('#month option');
	for(var i = 0; i < selectops.length; i++) {
		if($(selectops[i]).val() == (date.getMonth() + 1)) {
			$(selectops[i]).attr('selected', 'selected'); 
		}
	}

	//提取数据
	function getJsonLength(jsonData) {
		var jsonLength = 0;
		for(var item in jsonData) {
			jsonLength++;
		}
		return jsonLength;
	}

	//获取月开卡数据
	function getMonthActiveCard(beginDate, endDate) {
		$.ajax({
			url: app_url + 'reportOverview/incrementalTrade?token=' + token,
			data: {
				beginDate: beginDate,
				endDate: endDate
			},
			type: 'get',
			dataType: 'json',
			success: function(data, status) {
				setTimeout(function() {
					renderMonthActiveCard(data);
				}, 300);
			},
			fail: function(err, status) {
				console.log(err)
			}
		})
	}

	function renderMonthActiveCard(data) {
		var dateArray = [];
		var seriesArray = [];
		for(var i = 0; i < data.length; i++) {
			dateArray.push(data[i].createDate);
			seriesArray.push(data[i].upNum);
		}
		var myChart1 = echarts.init(document.getElementById('container1'));
		var option1 = {
			title: {
				text: '月开卡量',
				textStyle: {
					fontSize: 14
				},
				left: 10
			},
			tooltip: {
				trigger: 'axis'
			},
			legend: {
				data: ['开卡量']
			},
			grid: {
				left: '23%',
			},
			toolbox: {
				show: true,
				feature: {
					mark: {
						show: false
					},
					dataView: {
						show: false,
						readOnly: false
					},
					magicType: {
						show: false,
						type: ['line', 'bar']
					},
					restore: {
						show: false
					},
					saveAsImage: {
						show: false
					}
				}
			},
			calculable: false,
			yAxis: [{
				type: 'category',
				data: dateArray
			}],
			xAxis: [{
				type: 'value',
			}],
			series: [{
					name: '开卡量',
					type: 'bar',
					data: seriesArray,
					markPoint: {
						data: [{
								type: 'max',
								name: '最大值'
							},
							{
								type: 'min',
								name: '最小值'
							}
						]
					},
					markLine: {
						data: [{
							type: 'average',
							name: '平均值'
						}]
					}
				}

			]
		};
		myChart1.setOption(option1);
	}

	//获取月套餐销量统计
	function getMonthMeal(beginDate, endDate) {
		$.ajax({
			url: app_url + 'reportOverview/productSales?token=' + token,
			data: {
				beginDate: beginDate,
				endDate: endDate
			},
			type: 'get',
			dataType: 'json',
			success: function(data, status) {
				console.log(data)
				if(getJsonLength(data) > 0) {
					setTimeout(function() {
						renderMonthMeal(data);
					}, 300);
				}
			},
			fail: function(err, status) {
				console.log(err)
			}
		})
	}

	function renderMonthMeal(data) {
		//alert(JSON.stringify(data));
		var legendArray = [];
		var seriesArray = [];
		for(var pro in data) {
			var obj = {};
			legendArray.push(pro);
			obj.name = pro;
			obj.value = data[pro];
			seriesArray.push(obj);
		}

		//套餐销量统计
		var myChart2 = echarts.init(document.getElementById('container2'));
		var option2 = {
			title: {
				text: '套餐月销量',
				x: 'center',
				textStyle: {
					fontSize: 14
				},
			},
			tooltip: {
				trigger: 'item',
				formatter: "{a} <br/>{b} : {c} ({d}%)"
			},
			legend: {
				orient: 'vertical',
				x: 'left',
				data: legendArray
			},
			toolbox: {
				show: true,
				feature: {
					mark: {
						show: false
					},
					dataView: {
						show: false,
						readOnly: false
					},
					magicType: {
						show: false,
						type: ['pie', 'funnel'],
						option: {
							funnel: {
								x: '25%',
								width: '50%',
								funnelAlign: 'left',
								max: 1548
							}
						}
					},
					restore: {
						show: false
					},
					saveAsImage: {
						show: false
					}
				}
			},
			calculable: false, //拖拽后重计算
			calculableHolderColor: '#ffffff',
			series: [{
				name: '套餐销量',
				type: 'pie',
				radius: '55%',
				center: ['50%', '60%'],
				data: seriesArray
			}]
		};
		// 为echarts对象加载数据 
		myChart2.setOption(option2);
	}

	function getMonthProfit(beginDate, endDate) {
		$('#container3').html('');
		$.ajax({
			url: app_url + 'reportOverview/productPrices?token=' + token,
			data: {
				beginDate: beginDate,
				endDate: endDate
			},
			type: 'get',
			dataType: 'json',
			success: function(data, status) {
				console.log(data)
				$('#container2').html('');
				if(getJsonLength(data) > 0) {
					setTimeout(function() {
						renderMonthMeal(data);
					}, 300);
				}
			},
			fail: function(err, status) {
				console.log(err)
			}
		})

	}

	function renderMonthProfit(data) {
		var legendArray = [];
		var seriesArray = [];
		for(var pro in data) {
			var obj = {};
			legendArray.push(pro);
			obj.name = pro;
			obj.value = data[pro];
			seriesArray.push(obj);
		}

		//套餐收益统计
		var myChart3 = echarts.init(document.getElementById('container3'));
		var option3 = {
			title: {
				text: '套餐收益统计',
				x: 'center',
				textStyle: {
					fontSize: 14
				},
			},
			tooltip: {
				trigger: 'item',
				formatter: "{a} <br/>{b} : {c} ({d}%)"
			},
			legend: {
				orient: 'vertical',
				x: 'left',
				data: legendArray
			},
			toolbox: {
				show: true,
				feature: {
					mark: {
						show: false
					},
					dataView: {
						show: false,
						readOnly: false
					},
					magicType: {
						show: false,
						type: ['pie', 'funnel'],
						option: {
							funnel: {
								x: '25%',
								width: '50%',
								funnelAlign: 'left',
								max: 1548
							}
						}
					},
					restore: {
						show: false
					},
					saveAsImage: {
						show: false
					}
				}
			},
			calculable: false, //拖拽后重计算
			calculableHolderColor: '#ffffff',
			series: [{
				name: '套餐收益统计',
				type: 'pie',
				radius: '55%',
				center: ['50%', '60%'],
				data: seriesArray
			}]
		};
		// 为echarts对象加载数据 
		myChart3.setOption(option3);
	}
})();