//选时间
$(function() {
	var currYear = (new Date()).getFullYear();
	var opt = {};
	opt.date = {
		preset: 'date'
	};
	opt.datetime = {
		preset: 'datetime'
	};
	opt.time = {
		preset: 'time'
	};
	opt.default = {
		theme: 'android-ics light', //皮肤样式
		display: 'modal', //显示方式 
		mode: 'scroller', //日期选择模式
		dateFormat: 'yyyy-mm-dd',
		lang: 'zh',
		showNow: true,
		nowText: "今天",
		startYear: currYear - 50, //开始年份
		endYear: currYear + 10 //结束年份
	};
	$("#beginDate").mobiscroll($.extend(opt['date'], opt['default']));
	$("#endDate").mobiscroll($.extend(opt['date'], opt['default']));
});

(function() {
	var myCalendar1;
	var myCalendar2;
	var currentPage; //当前页码
	var offset; //每页截止位置,默认取0
	var isScroll; //默认不滚动加载
	var date = new Date();
	var beginDate;
	var endDate;
	var total;
	var user = android.getUser();//获取安卓传过的token
    var us = JSON.parse(user);
    var token = us.token;

	//初始日期数据
	init();
	function init() {
		currentPage = 1;
		offset = 0;
		isScroll = false;
		beginDate = date.getFullYear() + '-' + ((date.getMonth()) >= 10 ? (date.getMonth()) : '0' + (date.getMonth())) + '-01';
		endDate = date.getFullYear() + '-' + ((date.getMonth() + 1) >= 10 ? (date.getMonth() + 1) : '0' + (date.getMonth() + 1)) + '-01';
		if(date.getMonth() == 11) {
			var year = date.getFullYear() + 1;
			endDate = year + '-01-01';
		}
		$('#beginDate').attr('placeholder',beginDate);
		$('#endDate').attr('placeholder',endDate);
		getData(beginDate, endDate, 0, false);
	}

	$('#js-query').on('click', function() {
		var begin = $('#beginDate').val();
		var end = $('#endDate').val();
		if(!begin || !end) {
			var begin = $('#beginDate').attr('placeholder');
			var end = $('#endDate').attr('placeholder');
		}
		var day = DateDiff(begin, end);
		if(day > 40) {
			alert('查询天数不能大于40天');
			return;
		}
		if(begin && end && (begin > end)) {
			alert('开始日期不能在结束日期之后');
			return;
		}
		var seperator1 = "-";
        var year = date.getFullYear();
        var month = date.getMonth() + 1;
        var strDate = date.getDate();
        if (month >= 1 && month <= 9) {
            month = "0" + month;
        }
        if (strDate >= 0 && strDate <= 9) {
            strDate = "0" + strDate;
        }
        var nowTime = year + seperator1 + month + seperator1 + strDate;
		currentPage = 1;
		offset = 0;
		isScroll = false;
		$('.datasearch').html('');
		getData(begin, end, offset, isScroll);
	});
	
	//导出
	$('#js-checkout').on('click', function() {
		var begin = $('#beginDate').attr('placeholder');
		var end = $('#endDate').attr('placeholder');
		var day = DateDiff(begin,end);
		if (day>40) {
			alert('查询天数不能大于40天');
			return;
		}
		if(begin && end && (begin > end)) {
			alert('开始日期不能在结束日期之后');
			return;
		}
		checkData(begin, end);
	});
	function checkData(beginDate, endDate) {
		var downlink = app_url + 'reportOverview/tradeLineExt?token=' + token + '&beginDate=' + beginDate + '&endDate=' + endDate;
		window.location = downlink;
	}
	//计算天数差的函数，通用  
	function DateDiff(sDate1, sDate2) { //sDate1和sDate2是2006-12-18格式  
		var aDate, oDate1, oDate2, iDays
		aDate = sDate1.split("-")
		oDate1 = new Date(aDate[1] + '-' + aDate[2] + '-' + aDate[0]) //转换为12-18-2006格式  
		aDate = sDate2.split("-")
		oDate2 = new Date(aDate[1] + '-' + aDate[2] + '-' + aDate[0])
		iDays = parseInt(Math.abs(oDate1 - oDate2) / 1000 / 60 / 60 / 24) //把相差的毫秒数转换为天数  
		return iDays
	}

	//显示页面
	function innerHtmlText(data) {
		var html = '';
        for (var i=0;i<data.length;i++) {
			html += '<div class="search-item mt1">' +
					'<div>订单号码：' + data[i].orderNo +'</div>' +
					'<div>' +
						'<span class="fl">订单金额：<span class="red">' + data[i].price +'</span> 元</span>' +
						'<span class="fr">收益：<span class="red">' + data[i].amountSum +'</span> 元</span></div>' +
					'<div class="color-gray">交易时间：' + data[i].createAt +'</div>' +
				'</div>'
		}
		$('.datasearch').append(html);
	}

	function getData(beginDate, endDate, offset, isScroll, callback) {
		var tempData = {};
		tempData.beginDate = beginDate;
		tempData.endDate = endDate;
		tempData.offset = offset;
		tempData.max = 10;
		$.ajax({
			url: app_url + 'reportOverview/tradeLine?token=' + token,
			type: 'get',
			dataType: 'json',
			data: tempData,
			success: function(data, status, xhr) {
				var count = xhr.getResponseHeader('X-Total-Count');
				total = count;
				var sum = xhr.getResponseHeader('X-Total-Sum');
				var acount = xhr.getResponseHeader('X-Total-Amount');
				$('#count').html(count);
				$('#sum').html(sum);
				$('#shouyi').html(acount);
				console.log(data.length)
				if(data.length == 0) {
					$('.datasearch').html('');
					$('.datasearch').append('<div style="clear: both;text-align: center;padding:10px 0;height: 100%;">没有找到</div>');
				} else {
					innerHtmlText(data);
				}
			}
		}).fail(function(xhr) {
			alert(JSON.parse(xhr.responseText).message);
		});
	}

	//滚动加载
	var loading = false;
	$(window).scroll(function() {
		var clientHeight = $(this).height();　　
		var scrollTop = $(this).scrollTop();　　
		var scrollHeight = $(document).height();
		if(loading) {
			return;
		}　　
		if(scrollTop + clientHeight >= scrollHeight) {
			handleScrollToAdd();　　
		}
	});

	function handleScrollToAdd() {
		var offset = currentPage * 10; //服务器每次返回10条数据，乘10
		if(offset < total) {
			loading = true;
			var begin = $('#beginDate').val();
			var end = $('#endDate').val();
			console.log(begin, end)
			getData(begin, end, offset, true, function() {
				currentPage += 1;
				loading = false;
			});
		}
	}

})();